## org.apache.lucene.store
Class FSLockFactory

    java.lang.Object
      org.apache.lucene.store.LockFactory
          org.apache.lucene.store.FSLockFactory

Direct Known Subclasses:
  NativeFSLockFactory, SimpleFSLockFactory

    public abstract class FSLockFactory

extends LockFactory

Base class for file system based locking implementation.

Field Summary
`protected File` `lockDir` Directory for the lock files.

Fields inherited from class org.apache.lucene.store.LockFactory
`lockPrefix`

Constructor Summary
`FSLockFactory()`

Method Summary
`File` `getLockDir()` Retrieve the lock directory.
`protected void` `setLockDir(File lockDir)` Set the lock directory.

Methods inherited from class org.apache.lucene.store.LockFactory
`clearLock, getLockPrefix, makeLock, setLockPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lockDir

    protected File lockDir

  Directory for the lock files.

Constructor Detail

### FSLockFactory

    public FSLockFactory()

Method Detail

### setLockDir

    protected final void setLockDir(File lockDir)

  Set the lock directory. This method can be only called once to initialize the lock directory. It is used by `FSDirectory` to set the lock directory to itself. Subclasses can also use this method to set the directory in the constructor.

### getLockDir

    public File getLockDir()

  Retrieve the lock directory.